> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobula.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Metadata

> Retrieve detailed metadata for an asset, including fundraising, tokenomics, investors, and more. Works with asset name or contract address + blockchain ID. Some assets may not have an id if they are not listed on Mobula.

### Query Details

Input in “asset” the name of the asset you want to query, or the contract address while adding the blockchain as a second parameter. The market data asset query pattern is explained [in great details here](/rest-api-reference/docs/market-asset-query), with blockchain format, etc.

| Name         | Required | Description                                                                             |
| ------------ | -------- | --------------------------------------------------------------------------------------- |
| `asset`      | Yes      | Asset name or contract address.                                                         |
| `blockchain` | No       | Blockchain identifier (required if using contract address).                             |
| `symbol`     | No       | Symbol of the asset.                                                                    |
| `id`         | No       | Mobula internal asset ID.                                                               |
| `force`      | No       | If `true`, forces fresh data fetching.                                                  |
| `full`       | No       | If `true`, returns full enriched metadata`categories`, `investors`,`distribution` etc., |

<Note>
  Some assets, which you can explore on mobula.io (example: Avalanche) also have enriched data about fundraising, tokenomics, investors, etc.
  Some assets won't have the id field, due to them not being listed on Mobula.
</Note>

### Usage Examples

* Query by `Asset Address` & `blockchain`

```bash theme={null}
curl -X GET "https://demo-api.mobula.io/api/1/metadata?asset=0x504E4b2E72b6de62BCbB5E4eB5587962Ce41852a&blockchain=ethereum"
```

* Query by `Asset Name` with `full=true` and `force=true`

```bash theme={null}
curl -X GET "https://demo-api.mobula.io/api/1/metadata?asset=Avalanche&blockchain=solana&full=true&force=true"
```

-Query by Mobula internal asset `id`

```bash theme={null}
curl -X GET "https://demo-api.mobula.io/api/1/metadata?id=24"
```


## OpenAPI

````yaml get /1/metadata
openapi: 3.0.0
info:
  version: 1.0.0
  title: Mobula API
  description: >-
    Documentation of the Mobula API


    **Demo API**: The default server (demo-api.mobula.io) is a demo API with
    rate limits.

    For production use, please use api.mobula.io with an API key from
    https://admin.mobula.io
servers:
  - url: https://demo-api.mobula.io/api/
    description: Demo API (rate limited, for testing only)
  - url: https://api.mobula.io/api/
    description: Production API (requires API key)
security: []
tags:
  - name: V2 - Token
    description: Token details, price, security, ATH, and holder data
  - name: V2 - Market Data
    description: Market details, OHLCV history, and lighthouse metrics
  - name: V2 - Trades
    description: Token trades, enriched trades, and trade filters
  - name: V2 - Wallet
    description: Wallet positions, activity, trades, analysis, and labels
  - name: V2 - Assets
    description: Cross-chain asset details and price history
  - name: V2 - Swap
    description: Swap quoting and execution
  - name: V2 - Perps
    description: Perpetual futures quoting, execution, and positions
  - name: V2 - Bridge
    description: Cross-chain bridge quoting and intent status (Alpha Preview)
  - name: V2 - DeFi
    description: Bonding pools and pulse data
  - name: V2 - Search
    description: Universal fast search
  - name: V2 - Blockchains
    description: System metadata and chain listings
  - name: V1 - Market Data
    description: Market prices, history, sparklines, pairs, and multi-data
  - name: V1 - Wallet
    description: Wallet portfolio, transactions, history, and NFTs
  - name: V1 - Token
    description: First buyers
  - name: V1 - Trades
    description: Market trades by pair
  - name: V1 - Metadata
    description: Token metadata, categories, trendings, and news
  - name: V1 - Assets
    description: List all assets
  - name: V1 - Search
    description: Search for assets, tokens, and pairs
  - name: V1 - DeFi
    description: Bonding pool pulse data
  - name: V1 - Blockchains
    description: Blockchain listings, pairs, and stats
  - name: V1 - Webhooks
    description: Webhook management
  - name: V1 - Feed
    description: Custom feed creation
paths: {}

````